require 'spec_helper'

describe Oxforddictionaries::Parser do
  let(:word) { rand_text }

  it 'initilizes with word as empty string' do
    expect(subject.word).to eq ''
  end

  describe '#word=' do
    it 'with empty string' do
      subject.word = ''
      expect(subject.word).to eq ''
    end

    it 'with something' do
      subject.word = word
      expect(subject.word).to eq word
    end
  end

  describe '#exist?' do
    context 'true' do
      it 'if word is cat' do
        subject.word = 'cat'
        expect(subject).to be_exist
      end

      it 'if word is dog' do
        subject.word = 'dog'
        expect(subject).to be_exist
      end

      it 'if word is fish' do
        subject.word = 'fish'
        expect(subject).to be_exist
      end

      it 'if word is home' do
        subject.word = 'home'
        expect(subject).to be_exist
      end

      it 'if word is dive' do
        subject.word = 'dive'
        expect(subject).to be_exist
      end

      it 'if word is doom' do
        subject.word = 'doom'
        expect(subject).to be_exist
      end
    end

    context 'false' do
      it 'if word is lorem' do
        subject.word = 'lorem'
        expect(subject).not_to be_exist
      end

      it 'if word is ipsum' do
        subject.word = 'ipsum'
        expect(subject).not_to be_exist
      end
    end
  end
end
